Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226886 - libstroke/libgstroke underquoted definitions
Summary: libstroke/libgstroke underquoted definitions
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libstroke
Version: 6
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Chitlesh GOORAH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-01 20:47 UTC by Jerry James
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-02 00:17:46 UTC


Attachments (Terms of Use)
Patch to fix aclocal warnings (deleted)
2007-03-01 00:14 UTC, Jerry James
no flags Details | Diff

Description Jerry James 2007-02-01 20:47:37 UTC
Description of problem:
When running autoreconf in an unrelated project, I get the following warnings:

/usr/share/aclocal/libstroke.m4:29: warning: underquoted definition of
smr_ARG_WITHLIB
  run info '(automake)Extending aclocal'
  or see http://sources.redhat.com/automake/automake.html#Extending-aclocal
/usr/share/aclocal/libstroke.m4:77: warning: underquoted definition of
smr_ARG_WITHINCLUDES
/usr/share/aclocal/libstroke.m4:119: warning: underquoted definition of
smr_CHECK_LIB
/usr/share/aclocal/libgstroke.m4:29: warning: underquoted definition of
smr_ARG_WITHLIB
/usr/share/aclocal/libgstroke.m4:77: warning: underquoted definition of
smr_ARG_WITHINCLUDES
/usr/share/aclocal/libgstroke.m4:119: warning: underquoted definition of
smr_CHECK_LIB

They are only warnings, but it would be nice (and safer) to get those fixed.

Version-Release number of selected component (if applicable):
libstroke-0.5.1-12.fc6

How reproducible:
Always

Steps to Reproduce:
1. Install libstroke-devel or libgstroke-devel
2. Run autoreconf in any source directory containing a configure.ac
  
Actual results:
autoreconf complains about underquoted definitions

Expected results:
autoreconf should not complain about underquoted definitions

Additional info:

Comment 1 Chitlesh GOORAH 2007-02-03 13:24:29 UTC
Can you send me a tarball of your source directory ? I try to reproduce it.
Nevertheless these can be ignored.

Comment 2 Jerry James 2007-03-01 00:12:36 UTC
Sorry, I somehow missed your reply in my email.  The fix is trivial.  I am
attaching a patch.  And, my mistake, you need to run aclocal to see the warning
messages, not autoconf.

Comment 3 Jerry James 2007-03-01 00:14:08 UTC
Created attachment 148973 [details]
Patch to fix aclocal warnings

Comment 4 Chitlesh GOORAH 2007-03-02 00:17:46 UTC
Thanks for the patch.
libstroke has been built for FC-6 and devel.


Note You need to log in before you can comment on or make changes to this bug.